Page MenuHomePhabricator

MediaViewer shows only Black Screen in IE 11
Closed, ResolvedPublic

Description

According to dewiki MediaViewer only displays a black screen when used in Internet Explorer 11.

Event Timeline

Restricted Application added a project: Multimedia. · View Herald TranscriptSep 21 2018, 9:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Considering IE 11 has Grade A support, and multiple people have been able to replicate this issue, this is probably Unbreak now! priority.

MGChecker triaged this task as Unbreak Now! priority.Sep 21 2018, 9:45 PM
Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptSep 21 2018, 9:45 PM

Reported on enwiki also.

Are there any errors in the "Console" or "Network" tab of the Developer Tools? See https://docs.microsoft.com/en-us/microsoft-edge/devtools-guide/console

PerfektesChaos added a subscriber: PerfektesChaos.EditedSep 22 2018, 2:37 PM

yes.

jQuery.Deferred exception: Das Objekt unterstützt die Eigenschaft oder Methode "find" nicht
TypeError: Das Objekt unterstützt die Eigenschaft oder Methode "find" nicht
at MMVP.loadImageByTitle (https://de.wikipedia.org/w/load.php?debug=false&lang=de&modules=mmv&skin=vector&version=0n1zvob:102:613)

method find not supported.

Obviously from Replace jQuery by native JavaScript by https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/MultimediaViewer/+/459423/2/resources/mmv/mmv.js line 406

Inner comment: Array.prototype.find is ES6. This change breaks support for older browser that support only ES5: https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Array/find#Browser_compatibility

patch-patched by https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/MultimediaViewer/+/460427/1/resources/mmv/mmv.js but not deployed.

@Fomafix

Change 460427 had a related patch set uploaded (by MGChecker; owner: Fomafix):
[mediawiki/extensions/MultimediaViewer@master] Use a for loop instead of Array.prototype.find

https://gerrit.wikimedia.org/r/460427

Change 462150 had a related patch set uploaded (by Krinkle; owner: Fomafix):
[mediawiki/extensions/MultimediaViewer@wmf/1.32.0-wmf.22] Use a for loop instead of Array.prototype.find

https://gerrit.wikimedia.org/r/462150

Change 460427 merged by jenkins-bot:
[mediawiki/extensions/MultimediaViewer@master] Use a for loop instead of Array.prototype.find

https://gerrit.wikimedia.org/r/460427

Change 462150 merged by jenkins-bot:
[mediawiki/extensions/MultimediaViewer@wmf/1.32.0-wmf.22] Use a for loop instead of Array.prototype.find

https://gerrit.wikimedia.org/r/462150

Mentioned in SAL (#wikimedia-operations) [2018-09-22T18:28:59Z] <krinkle@deploy1001> Synchronized php-1.32.0-wmf.22/extensions/MultimediaViewer/resources/: I0954c42a37668b0, T205162 (duration: 00m 56s)

Fomafix closed this task as Resolved.Sep 22 2018, 6:34 PM
Fomafix claimed this task.
Fomafix removed a project: Patch-For-Review.

Verified on dewiki with IE11 before and after the deployment.

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:07 PM